Get List Of Brands

This request to get the list of brands available to user through an API.

Body Params
int64
required

ID of advertiser.

int32
Defaults to 0

Use this parameter to fetch specific number of brands from a list, in combination with count.
This indicates the starting position of the list.
Note: Value of startIndex must be greater than and equal to 0. The default value is 0.

int32
Defaults to 100

Defines the total number of items to be returned.
You can use this parameter in combination with startIndex, to fetch specific number of item brands from a list.
Note: Value of count must be greater than 0. The default value is 100.

boolean
Defaults to true

Specifies whether to retrieve from list of advertiser's brands or all brands.
Note:
- Default value of isRestricted is true.
- filter[brandName] is mandatory if isRestricted is set to false.

filter[brandName]
array of strings

Specify the name of the brand to search for
Note:
- Required if isRestricted is set to false.
- Supports exact match.

filter[brandName]
Headers
string
required

Auth signature as an API key.

string
required

We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.

integer
required

We will provide you with the KEY VERSION to access the API.
It is same for all advertisers you access through the API. The allowed value is 1.

integer
required

Timestamp for which the auth signature is generated. Use Unix epoch format.

string
required

This is bearer token.
The token will provide you the access to the API. It is same for all advertisers you access through the API.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json